#
# spec file for package rubygem-reek
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-reek
Version:        5.3.2
Release:        lp150.1.1
%define mod_name reek
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.3.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/troessner/reek
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Code smell detector for Ruby
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Reek is a tool that examines Ruby classes, modules and methods and reports any
code smells it finds.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md License.txt README.md" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.3.2
  see installed CHANGELOG.md
  [#]# 5.3.2 (2019-03-22)
  * (troessner) Use Parser26.
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.3.1
  see installed CHANGELOG.md
  [#]# 5.3.1 (2019-02-08)
  * (Al Snow) Upgrade parser dependency
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.3.0
  see installed CHANGELOG.md
  [#]# 5.3.0 (2018-12-28)
  * (mvz) Add support for Ruby 2.6.
  * (mvz) Add support for JRuby 9.1 and 9.2
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.0
  see installed CHANGELOG.md
  [#]# 5.2.0 (2018-10-13)
  * (troessner) Enable exclusion of single files.
  [#]# 5.1.0 (2018-09-22)
  * (troessner) Simplify todo list feature.
  * (troessner) Show configuration path.
* Tue Jul 10 2018 factory-auto@kulow.org
- updated to version 5.0.2
  see installed CHANGELOG.md
  [#]# 5.0.2 (2018-07-10)
  * (mvz) Parser 2.5.1.1 seems broken. Disallow it.
  * (mvz) Improve control parameter recursion performance.
* Tue Jul  3 2018 factory-auto@kulow.org
- updated to version 5.0.1
  see installed CHANGELOG.md
  [#]# Unreleased
  [#]# 5.0.1 (2018-07-03)
  * (troessner) Fix uninitialized constant error
* Fri Jun 29 2018 factory-auto@kulow.org
- updated to version 5.0.0
  see installed CHANGELOG.md
  [#]# 5.0.0 (2018-06-18)
  * Breaking changes:*
  * (David Fisher) Change PrimaDonnaMethod to MissingSafeMethod
  * (mvz) Always include documentation in JSON and YAML
  * (mvz) Remove Syntax smell detector
  * (mvz) Remove deprecated Examiner#description (in favor of Examiner#origin)
  * (mvz) Allow only detector names in configuration hash
  * (mvz) Do not accept a class as parameter for reek_of
  * (mvz) Allow only .reek.yml instead of any file name ending in .reek
  * (troessner) Validate our configuration by using a schema
  * (troessner) Scope detectors in the configuration under `detectors`
  * (troessner) Move directory directives under a special key
  * (troessner) Use strings not regexes in our configuration file
  * (troessner) Replace `wiki-links` flag with `documentation` flag
  * (troessner) Add yml extension to Reeks configuration file
  * (troessner) Drop legacy code comment separator
  * (troessner) Drop Ruby 2.2 support
  * (troessner) Drop Ruby 2.1 support
  * Non breaking changes:*
  * (Paul Sadauskas) Add support for --stdin-filename
  * (mvz) Generate versioned documentation links
  * (mvz) Bugfix: Only report FeatureEnvy for instance methods
  * (troessner) List all smells
* Tue Jun 26 2018 factory-auto@kulow.org
- updated to version 4.8.2
  see installed CHANGELOG.md
  [#]# 4.8.2 (2018-06-26)
  * (mvz) Only report FeatureEnvy for instance methods
  * (mvz) Generate versioned documentation links
* Thu Apr 12 2018 factory-auto@kulow.org
- updated to version 4.8.1
  see installed CHANGELOG.md
* Tue Mar  6 2018 factory-auto@kulow.org
- updated to version 4.8.0
  see installed CHANGELOG.md
  [#]# Unreleased
  [#]# 4.8.0 (2018-03-05)
  * (pocke) Support Ruby 2.5
  * (mvz) Print original exception class in certain error messages
  * (mvz) Only include long exception message in CLI output
  * (chastell) Add official support for Ruby 2.5
  * (mvz) Do not detect ModuleInitialize for nested dynamic classes
* Sun Dec  3 2017 coolo@suse.com
- updated to version 4.7.3
  see installed CHANGELOG.md
  [#]# 4.7.3 (2017-11-05)
  * (mvz) Handle UTF-8 files in all locales
  * (troessner) Handle encoding and other errors when parsing the source
  * (mvz) Report method source line in PrimaDonnaMethod
  * (mvz) Pick up config file in reek matcher
  * (mvz) Let REEK_SRC override set values in rake task
* Thu Aug  3 2017 coolo@suse.com
- updated to version 4.7.2
  see installed CHANGELOG.md
  [#]# 4.7.2 (2017-07-24)
  * (mvz) Also report unused uncommunicative parameter names
  * (mvz) Track visibility correctly when using method definition visibility modifiers
  * (mvz) Handle method comments when using method definition visibility modifiers
* Tue Jun 13 2017 coolo@suse.com
- updated to version 4.7.1
  see installed CHANGELOG.md
  [#]# 4.7.1 (2017-06-12)
  * (mvz) Improve IrresponsibleModule and fix some bugs along
* Tue Jun  6 2017 coolo@suse.com
- updated to version 4.7.0
  see installed CHANGELOG.md
  [#]# 4.7.0 (2017-05-31)
  * (pocke) Introduce Syntax smell detector
* Tue May 23 2017 coolo@suse.com
- updated to version 4.6.2
  see installed CHANGELOG.md
  [#]# 4.6.2 (2017-04-27)
  * (pocke) Prevent from breaking on a string with escape sequence incompatible with UTF-8
  * (pocke) Use Ruby 2.4 parser for parsing code
* Thu Apr 13 2017 coolo@suse.com
- updated to version 4.6.1
  see installed CHANGELOG.md
  [#]# 4.6.1 (2017-04-05)
  * (IanWhitney) Properly handle absolute paths.
* Wed Apr  5 2017 coolo@suse.com
- updated to version 4.6.0
  see installed CHANGELOG.md
  [#]# 4.6.0 (2017-04-04)
  * (IanWhitney) Implement `--force-exclusion` flag
  * (mvz) Raise Reek-specific error on parse errors
* Sun Feb 19 2017 coolo@suse.com
- updated to version 4.5.6
  see installed CHANGELOG.md
  [#]# 4.5.6 (2017-02-17)
  * (mvz) Raise on errors inside of Examiner#smells instead of outputting to STDERR
  * (mvz) Update parser dependency
* Mon Feb  6 2017 coolo@suse.com
- updated to version 4.5.5
  see installed CHANGELOG.md
  [#]# 4.5.5 (2017-02-05)
  * (mvz) Load YAML in code comments safely
  * (mvz) Combine lines for manual dispatch smells
  * (mvz) Respect exclude_paths when passing sources on the command line
  * (mvz) Ensure explicit arguments of super() are processed
* Wed Jan 18 2017 coolo@suse.com
- updated to version 4.5.4
  see installed CHANGELOG.md
  [#]# 4.5.4 (2017-01-17)
  * (troessner) Improve documentation and fix PrimaDonnaMethod detector configuration via comment.
* Fri Dec  9 2016 coolo@suse.com
- updated to version 4.5.3
  see installed CHANGELOG.md
  [#]# 4.5.3 (2016-12-05)
  * (jhubert) Stop reporting FeatureEnvy with super and arguments.
* Thu Nov 17 2016 coolo@suse.com
- updated to version 4.5.2
  see installed CHANGELOG.md
  [#]# 4.5.2 (2016-11-06)
  * (troessner) Warn about multiple configuration files.
* Sat Oct 29 2016 coolo@suse.com
- updated to version 4.5.1
  see installed CHANGELOG.md
  [#]# 4.5.1 (2016-10-16)
  * (troessner) Validate configuration keys in code comments.
  [#]# 4.5.0 (2016-10-12)
  * (maxjacobson) Emit fingerprints in Code Climate reporter
  * (mvz) Disable progress for piped output
  * (mvz) Update progress formatter to match changed file location
  * (jhubert) Add progress formatters for showing progress on each file
  [#]# 4.4.4 (2016-09-29)
  * (troessner) Create a fresh todo file on every run
  * (troessner) Handle garbage in comment config properly
  [#]# 4.4.3 (2016-09-24)
  * (troessner) Improve handling of internal errors in detectors and the corresponding error messages
* Sat Oct  8 2016 coolo@suse.com
- updated to version 4.4.2
  see installed CHANGELOG.md
  [#]# 4.4.2 (2016-09-21)
  * (troessner) Fail properly on bad configuration comments
  [#]# 4.4.1 (2016-09-13)
  * (troessner) Quote names in smell detector messages
  * (troessner) Make our CodeComment regex more lenient
  * (troessner) Fix UncommunicativeVariableName does not take regex configuration into account
* Sat Sep 10 2016 coolo@suse.com
- updated to version 4.4.0
  see installed CHANGELOG.md
  [#]# 4.4.0 (2016-08-24)
  * (waldyr) Add ignored nodes parameter to local_nodes
  * (waldyr) Add Instance Variable Assumption smell detector
  * (waldyr) Remove memoized instance variables from accounting of TooManyInstanceVariables smell
  [#]# 4.3.0 (2016-08-23)
  * (backus) Add ManualDispatch smell.
  [#]# 4.2.5 (2016-08-23)
  * (mvz) Detect safe navigation operator and report on it.
* Thu Aug 18 2016 coolo@suse.com
- updated to version 4.2.4
  see installed CHANGELOG.md
  [#]# 4.2.4 (2016-08-15)
  * (troessner) Make Reek more resilient on incomprehensible source.
  * (troessner) Make our parameter handling consistent in smell detectors.
  * (Drenmi) Rename `#inspect` method to `#sniff`
* Sat Aug 13 2016 coolo@suse.com
- updated to version 4.2.3
  see installed CHANGELOG.md
  [#]# 4.2.3 (2016-08-05)
  * (soutaro) Add SexpExtensions::CSendNode for safe navigation operator
* Wed Aug  3 2016 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# 4.2.2 (2016-08-02)
  * (soutaro) Use bundler to load libs during test
* Thu Jul 21 2016 coolo@suse.com
- updated to version 4.2.1
  see installed CHANGELOG.md
  [#]# 4.2.1 (2016-07-20)
  * (waldyr) Fix TooManyConstants for outer module when inner module suppress
* Sun Jul 17 2016 coolo@suse.com
- updated to version 4.2.0
  see installed CHANGELOG.md
  [#]# 4.2.0 (2016-07-16)
  * (waldyr) Add Too Many Constants smell detector
* Wed Jul  6 2016 coolo@suse.com
- updated to version 4.1.1
  see installed CHANGELOG.md
  [#]# 4.1.1 (2016-07-05)
  * (waldyr) Checking lambda should not raise error
* Wed Jun 29 2016 coolo@suse.com
- updated to version 4.1.0
  see installed CHANGELOG.md
  [#]# 4.1.0 (2016-06-23)
  * (waldyr) Add SubclassedFromCoreClass detector
  [#]# 4.0.5 (2016-06-16)
  * (mvz) Handle new lambda syntax in NestedIterators
* Mon Jun 13 2016 coolo@suse.com
- updated to version 4.0.4
  see installed CHANGELOG.md
  [#]# 4.0.4 (2016-06-11)
  * (troessner) Bump parser
* Tue May 24 2016 coolo@suse.com
- updated to version 4.0.3
  see installed CHANGELOG.md
  [#]# 4.0.3 (2016-05-23)
  * (mvz) Include default exclusions in generated TODO file
  * (mvz) Avoid generating duplicate context entries in exclusions
* Sun Apr 24 2016 coolo@suse.com
- updated to version 4.0.2
  see installed CHANGELOG.md
  [#]# 4.0.2 (2016-04-23)
  * (mvz) Stop UnusedPrivateMethod getting confused by nested classes
  * (mvz) Implement and use ShouldReekOf#with_config
  * (mvz) Automatically enable smell in reek_of matcher
* Tue Apr 12 2016 coolo@suse.com
- updated to version 4.0.1
  see installed CHANGELOG.md
  [#]# 4.0.1 (2016-04-10)
  * (thepry) Fix excluded paths for custom config formats.
* Tue Mar 22 2016 coolo@suse.com
- updated to version 4.0.0
  see installed CHANGELOG.md
* Wed Mar  2 2016 coolo@suse.com
- updated to version 3.11
  see installed CHANGELOG.md
  [#]# 3.11 (2016-02-18)
  * (troessner) Add a --todo cli flag that will generate a todo list.
  [#]# 3.10.2 (2016-02-15)
  * (troessner) Bump parser to 2.3.0.6 as minimum to fix problems with invalid syntax.
* Tue Feb  9 2016 coolo@suse.com
- updated to version 3.10.1
  see installed CHANGELOG.md
  [#]# 3.10.1 (2016-02-07)
  * (mvz) Fix edge case syntax problems
  * (troessner) Disable UnusedPrivateMethod detector by default
* Thu Jan 28 2016 coolo@suse.com
- updated to version 3.10.0
  see installed CHANGELOG.md
  [#]# 3.10.0 (2016-01-27)
  * Add CodeClimate Docker integration. This will allow users to deduct their own docker image
    from the existing one and use it for their own CI set up in whatever ways they see fit.
    Furthermore this will enable users to run `Reek` locally in combination with `codeclimate cli`.
* Mon Jan 25 2016 coolo@suse.com
- updated to version 3.9.1
  see installed CHANGELOG.md
  [#]# 3.9.1 (2016-01-24)
  * (troessner) Actually use the corresponding parser for Ruby 2.3
  [#]# 3.9.0 (2016-01-22)
  * (chastell) Bump Parser dependency to support Ruby 2.3
  * (mvz) Remove the `unparser` gem as dependency
* Thu Jan 21 2016 coolo@suse.com
- updated to version 3.8.3
  see installed CHANGELOG.md
  [#]# 3.8.3 (2016-01-15)
  * (avdgaag) Accept FileList as Rake task source file
  [#]# 3.8.2 (2016-01-07)
  * (pocke) Skip path if path doesn't exist.
  [#]# 3.8.1 (2015-12-28)
  * (troessner) Don't raise on missing directory for directive.
  [#]# 3.8.0 (2015-12-27)
  * (troessner) Report unused private instance methods.
  * (troessner) Add Rake task for console.
* Tue Dec  1 2015 coolo@suse.com
- updated to version 3.7.1
  see installed CHANGELOG.md
  [#]# 3.7.1 (2015-11-29)
  * (troessner) Reverse merge default directives into directory directives.
* Mon Nov 23 2015 coolo@suse.com
- updated to version 3.7.0
  see installed CHANGELOG.md
  [#]# 3.7.0 (2015-11-17)
  * (andyw8) Add Code Climate JSON report format: `--format code_climate`
  * (chastell) Simplify `text` report format and enable `--wiki-links` by default
* Sat Nov 14 2015 coolo@suse.com
- updated to version 3.6.1
  see installed CHANGELOG.md
* Sat Oct 31 2015 coolo@suse.com
- updated to version 3.6.0
  see installed CHANGELOG.md
  [#]# 3.6 (2015-10-30)
  * (mvz) Make Attribute respect suppressing comments
  * (chastell) Adjust parser dependency to allow versions 2.2.3+ (and even 2.3+)
  * (tansaku + mvz) Allow matches in reek_of for message, lines, context and source.
  * (mvz) Deprecate AppConfiguration.from_map in favor of AppConfiguration.from_hash.
* Tue Sep 29 2015 coolo@suse.com
- updated to version 3.5.0
  see installed CHANGELOG.md
  [#]# 3.5.0 (2015-09-28)
  * (troessner) Ignore iterators without block arguments for NestedIterators
* Fri Sep 25 2015 coolo@suse.com
- updated to version 3.4.1
  see installed CHANGELOG.md
  [#]# 3.4.1 (2015-09-24)
  * (chastell) Fix parsing `Foo = bar.new(new)`
  * (chastell) Sort line numbers in reports of multi-line smells
  * (chastell) Fix parsing bare `attr`
  * (troessner) Fix `reek_of` not checking `smell_details`
  * (chastell) Fix parsing `Foo = new`
  * (chastell) Fix parsing `Foo = Class.new do … end.new`
* Thu Sep 17 2015 coolo@suse.com
- updated to version 3.4.0
  see installed CHANGELOG.md
  [#]# 3.4.0 (2015-09-16)
  * (troessner) Make UtilityFunction configurable for non-public methods
  * (troessner) Make FeatureEnvy and UtilityFunction messages more helpful
  * (mvz) Mark public API @public
* Fri Sep  4 2015 coolo@suse.com
- updated to version 3.3.1
  see installed CHANGELOG.md
  [#]# 3.3.1 (2015-09-03)
  * (troessner) Fix file list as argument in rake task
  * (troessner) Ignore `Object#tap` for NestedIterators
  * (mvz) Ensure all YAML methods are loaded (workaround for #653)
* Mon Aug 24 2015 coolo@suse.com
- updated to version 3.3.0
  see installed CHANGELOG.md
  [#]# 3.3.0 (2015-08-23)
  * (HParker / Adam Hess) add support for or-assign constants
  * (troessner) Update TooManyMethods default value to 15
* Tue Aug 18 2015 coolo@suse.com
- updated to version 3.2.1
  CHANGELOG removed upstream
* Wed Jul 22 2015 coolo@suse.com
- updated to version 3.1
  see installed CHANGELOG
  == 3.1
  * (troessner) Make smells configurable on a directory base
  * (mvz) Handle modules defined by constant assignment
  * (mvz) Handle modifier style use of module_function for UtilityFunction
* Sat Jul 11 2015 coolo@suse.com
- updated to version 3.0.4
  see installed CHANGELOG
  == 3.0.4
  * (troessner) Fix wiki-link cli option.
* Tue Jul  7 2015 coolo@suse.com
- updated to version 3.0.3
  see installed CHANGELOG
  == 3.0.3
  * (troessner) Fix finding sources when using just the current directory.
* Sat Jul  4 2015 coolo@suse.com
- updated to version 3.0.2
  see installed CHANGELOG
  == 3.0.2
  * (troessner) Only use ruby source files.
  == 3.0.1
  * (troessner) Fix reek descending into hidden directories
* Wed Jul  1 2015 coolo@suse.com
- updated to version 3.0.0
  see installed CHANGELOG
  == 3.0.0
  * (troessner) Make directories excludable via configuration.
  * (mvz) Define and document public API
  * (troessner) Recognize methods defined with class << self syntax as singleton methods.
  * (troessner)  Use ruby22 instead of ruby21 for parsing.
  * (nTraum) Drop support for Ruby 1.9
* Tue May 12 2015 coolo@suse.com
- updated to version 2.2.1
  see installed CHANGELOG
  == 2.2.1
  * (mvz) Support methods using array decomposition arguments
* Sun May 10 2015 coolo@suse.com
- updated to version 2.2.0
  see installed CHANGELOG
  == 2.2.0
  * (sauliusgrigaitis) Add support for XML reports
  * (beanieboi) Don’t track private methods in the Attributes smell
  * (Sebastian Boehm) Do not enable colorization if stdout is not a TTY
* Sat Apr 18 2015 coolo@suse.com
- updated to version 2.1.0
* Wed Apr  8 2015 coolo@suse.com
- updated to version 2.0.4
* Tue Apr  7 2015 coolo@suse.com
- updated to version 2.0.3
* Mon Mar 16 2015 coolo@suse.com
- updated to version 2.0.2
* Wed Mar  4 2015 coolo@suse.com
- updated to version 2.0.1
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.0.0
* Mon Feb  9 2015 coolo@suse.com
- updated to version 1.6.5
  * (mvz) Make NestedIterator not break when iterator is called on super.
  == 1.6.4
  * (maser) Fix file arguments without TTY
  == 1.6.3
  * (mvz) Support ruby 2.2
  == 1.6.2
  * (mvz) Fix rake task bug when no config file was given explicitly.
  * (troessner) Run on working directory when no source is given.
  == 1.6.1
  * (mvz) Fix regression in rake task: Provide alias for backward compatibility
  == 1.6.0
  * (troessner) Revise configuration handling:
  Now there are 3 ways of passing reek a configuration file:
  - Using the cli "-c" switch
  - Having a file ending with .reek either in your current working directory or in a parent directory (more on that later)
  - Having a file ending with .reek in your HOME directory
  The order in which reek tries to find such a configuration file is exactly like above: First reek checks if we have given it a configuration file explicitly via CLI. Then it checks the current working directo
  ry for a file and if it can't find one, it traverses up the directories until it hits the root directory. And lastly, it checks your HOME directory.
  As soon as reek detects a configuration file it stops searching immediately, meaning that from reek's point of view there exists one configuration file and one configuration only regardless of how many ".reek
  " files you might have on your filesystem.
  * (chastell) Add keyword arguments support after switching to 'parser'
  * (mvz) Handle nil-block in iterators
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Apr  6 2014 coolo@suse.com
- updated to version 1.3.7
  * (gilles-leblanc) Add color to reek's output
  * (mvz) Ignore unused parameters if method calls super in nested context
  * (mvz) Only mark parameters uncommunicative if used
* Sun Jan  5 2014 coolo@suse.com
- updated to version 1.3.6
  * (troessner) Add `Prima Donna Method` smell
  * (troessner) Allow sorting by issue count
  * (mvz) Improve cli options
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.3.4
  * (apiology) Add --single-line option for reporting
  * (gilles-leblanc) Allow config files to override default config values
  * (gilles-leblanc) Added line numbers by default when you run the reek command
  * (mvz) Support Ruby 2.0 syntax
* Fri Aug 30 2013 coolo@suse.com
- updated to version 1.3.3
  * (bf4) Loosen ruby_parser version dependency
  * (gilles-leblanc) Added total warning count
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.3.2
  * (mvz) Allow duplicate calls to variable-like methods
  * (mvz) Improve NestedIterators smell detector
  * (mvz) Make combination of -n and -q options work
* Tue Feb 12 2013 coolo@suse.com
- updated to version 1.3.1
  * (EmilRehnberg) Added smell for nil checks
  * (geoffharcourt) Updated dependencies to use ruby2ruby 2.0.2 and ruby_parser 3.1.1
  * (EmilRehnberg) Added command-line option for printing line numbers with the smell lines
* Thu Jan 24 2013 coolo@suse.com
- updated to version 1.3
  * (mvz) Use new ruby_parser 3 and friends
  * (EmilRehnberg) Unused parameter smell added
  * (dkubb) Fix problem with IrresponsibleModule flagging the same module twice
* Fri Dec  7 2012 coolo@suse.com
- updated to version 1.2.13
  * (mvz) Update to rspec2.
  * (petrjanda) Fix undefined method `chr' on an instance of String on Rubinius
* Wed Aug  1 2012 coolo@suse.com
- updated to version 1.2.12
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.2.8
  * Smell detectors can be configured or disabled in code comments
  * * Comment with :reek:smell_name disables the named smell for a
  * * class, module or method
  * * Comment with :reek:smell_name:{...} for more detailed
  * * configuration
  * Additional config file(s) can be specified:
  * * on the command-line using -c
  * * via Reek::Rake::Task in the rakefile
  * Duplication can be configured to ignore specific calls
  * IrresponsibleModule now reports scoped module names correctly
  * (#66)
  * NestedIterators is now more configurable:
  * * Option to specify permitted nesting depth (#14)
  * * Option to ignore certain iterator methods
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.2.6
* Tue Aug 11 2009 dmacvicar@novell.com
- initial package for 1.1.3
